Open Infrastructure - Task #6601
Task # 6557 (Closed): Rebuild the whole DCL infrastructure - aka place9

Setup the arista switches at place6-east and place9
04/16/2019 11:16 AM - Nico Schottelius
Description

by serial console

e update switches to latest EOS that we have

¢ Setup default passwords

¢ Connect to existing switches, understand the existing mlag configuration
o show running

Setup mlag on new switches switch: switch5, switch6
o find out whether mlag / ipv6 works
o not sure if the mlag vlan needs to be unique (?7?)

Setup hostnames (switchX-placeY)

Checkout that switch config is clean / empty

Connect / configure place9 switches

e with mlag
¢ test that it works between your switches

Add IPv6 addresses to switches

e Use the transfer network
¢ Checkout [[datacentelight:Networking]]

connecting to existing switches

¢ Connect high numbered ports from switch5 and switch6 to high numbered ports on switch1/switch2

o Ping nico at this stage
Create a port-channel with mlag over two switches connecting to switch3/switch4
Place that port-channel intro trunk mode
port channel number = first interface number in the port channel
o j.e. ethernet 51/52 -> port-channel 51
Containing 4 ports (2 per switch)
switch3/4 will be configured by Nico (=the other side)

hints

e switch2-place6#show lacp neighbor

History

#1 - 04/29/2019 11:28 AM - Samuel Hailu
* E isinPor-334 .

#2 - 04/29/2019 11:58 AM - Nico Schottelius

Which switch on provider (=dcl old) side?

#3 - 04/29/2019 03:27 PM - Samuel Hailu
e Correction Switch-1 Port-39 switch-1

#4 - 04/29/2019 08:20 PM - Nico Schottelius

Note: switch1, port33 is a 1gbit trunk port -> seems not to be the right one!

#5 - 04/30/2019 11:57 AM - Samuel Hailu
How to Arista

o first reset the used Arista switch

e Set up username and password

*To be Done*

Set up the default route and the default gateway address

(config) #ipv6 route ::/0 2ala:e5c0:1:7::7

enable ipv6 all interfaces i.e(all interfaces are in vlan-1 by defaut)

(config) #interface vlan 1

(config-vl) #ipv6 enable

check if the what is active

(config-1£f-V11) #show active

if it works we will see this

interface Vlanl
ipv6 enable

#6 - 04/30/2019 12:03 PM - Nico Schottelius

Port 39 in switch1 is not connected:
Et39 notconnect 1 full 10G Not Present

#7 - 05/01/2019 03:09 PM - Nico Schottelius

- Status changed from New to Closed

e |t's reachable via IPv6, static route

#8 - 05/01/2019 03:39 PM - Nico Schottelius

- Status changed from Closed to In Progress
Please document how you updated the switch
#9 - 05/02/2019 12:10 PM - Samuel Hailu
Setting up Switch in Place 9

e So this is how it looks like from the beginning. * Frist we got the fibre-cable(up-stream) from the ISP (Nico), and we connected the fiber cable to
our Arista switch (switch-1) in our side.

¢ Reseting the switch to factory default.
o press

Ged=C
when the Arista is booting.
e once you pressed that you will be in the

Aboot

mode.
® Type

fullrecover

and press Enter to revert /mnt/flash to factory default
state, or just press Enter to reboot: fullrecover. * At this point the Arista will be set to factory default

e Upgrading Arista

e getting ready a usb stick with fat32 format and coping the file into the stick

/dev/sdbl 40 409639 409600 200M EFI System

/dev/sdb2 411648 30238719 29827072 14.2G Microsoft basic data
root@line:~# mount /dev/sdb2 /mnt/

FUSE exfat 1.3.0

WARN: volume was not unmounted cleanly.

root@line:~# umount /mnt

root@line:~# fdisk /dev/sdb

Welcome to fdisk (util-linux 2.32.1).

Changes will remain in memory only, until you decide to write them.
Be careful before using the write command.

Command (m for help): m

Help:

GPT
M enter protective/hybrid MBR

Generic
d delete a partition

F list free unpartitioned space

1 list known partition types

n add a new partition

P print the partition table

t change a partition type

v verify the partition table

i print information about a partition
Misc

m print this menu

b4 extra functionality (experts only)

Script
I load disk layout from sfdisk script file
O dump disk layout to sfdisk script file

Save & Exit
w write table to disk and exit
a quit without saving changes

Create a new label
g create a new empty GPT partition table

G create a new empty SGI (IRIX) partition table

o create a new empty DOS partition table

s create a new empty Sun partition table
Command (m for help): o
Created a new DOS disklabel with disk identifier Oxf9£75383.

The old gpt signature will be removed by a write command.

Command (m for help): n
Partition type
P primary (0 primary, O extended, 4 free)
e extended (container for logical partitions)
Select (default p): p
Partition number (1-4, default 1):
First sector (2048-30240767, default 2048):
Last sector, +sectors or +size{K,M,G,T,P} (2048-30240767, default 30240767):

Created a new partition 1 of type 'Linux' and of size 14.4 GiB.
Command (m for help): w

The partition table has been altered.

Calling ioctl() to re-read partition table.

Syncing disks.

root@line:~# mkfs.vfat -F32 /dev/sdbl
mkfs.fat 4.1 (2017-01-24

® * plug it into the switch and run the following commands
switchl#copy usbl:/E0S-2GB-4.18.6M.swi flash:
switchl#configure

switchl (config) #boot system flash:/EOS-2GB-4.18.6M.swi

e finally reboot the arista

Adding username and password
The initial configuration provides one username, admin, that is not assigned a password.but we can set up a password to the default admin
username.

o switch(config) #username admin secret <pasword-here>

e Next steps are to set up the default route

¢ enable ipv6 all interfaces i.e(all interfaces are in vlan-1 by defaut)
(config) #interface vlan 1
(config-vl) #ipv6 enable

e check if the what is active

(config—-1if-V11) #show active

o if it works we will see this

interface Vlanl ipv6 enable

e configuring ipv6 end point or default static ip address

ipv6 route 2ala:e5c0:1:7:18 vlan 1

#10 - 05/02/2019 01:26 PM - Nico Schottelius

Nice!

redmine@ungleich.ch writes:

#11 - 07/10/2019 10:22 AM - Nico Schottelius
- Subject changed from Setup the first arista switch to Setup the first arista switches
- Description updated

- Assignee changed from Samuel Hailu to Il nu

#12 - 07/10/2019 10:24 AM - Nico Schottelius
- Description updated
#13 - 07/10/2019 06:02 PM - Nico Schottelius

Suffixes are in [[datacenterlight:Networking]]

#14 - 07/10/2019 06:05 PM - Nico Schottelius

- Description updated

#15 - 07/10/2019 06:13 PM - Nico Schottelius

- Description updated

domain-id place9-east

#16 - 07/10/2019 07:24 PM - Nico Schottelius

kraftwerk:

e switch3
o Et32 connected
o goes to switch5.place6 ET52
® switch4
o Et32 connected
o goes to switch5.place6 ET51
® switch3
o Et31 connected
o goes to switch6.place6 ET52

... all 4 up!

#17 - 07/11/2019 08:44 PM - Il nu

Im trying to create a redundant sfp connection from mikrotik to 2 aristas. First i assumed that the port-channel is propagated through mlag and 2
physically seperate interfaces will bond (in practice i named the two ethernet ports with the same port-channel number), but ive read some docs and
port-channel can only bond ports on one physical switch. Since mlag is already active | assuming bonding the two mikrotik sfp ports and connecting it
to 2 arista switches is enough. First test worked (crs all ports and sfpbond in bridge, arista port17-s confed to tag with vlan 15, arista interface conf:
(#interface ethernet 17, #switchport access vlan 15) on both) unplugging one sfp caused few second outage, got ip-s from coworking.

in Po31 full 10G 10GBASE-SRL

in Po31 full 10G 10GBASE-SRL

in Po31 full 10G 10GBASE-SR

Then | realized | only need 1 port for vlan tagging in crs for wlan.
Now on both aristas both port17 in #switchport mode trunk

crs confed as
ether24 and sfpplus1 in bridge

interface bridge port add pvid=15 interface=ether24 bridge=bridge

bridge=bridge vlan-ids=15 tagged=sfp-sfpplus1
untagged=ether24 current-tagged=sfp-sfpplus1

current-untagged=ether24

interface bridge set bridge vlan-filtering=yes

#18 - 07/12/2019 12:26 PM - Nico Schottelius

Adding bgp routing to switch5.place6

switch5-place6#configure

switch5-place6 (config) #router bgp 209898

! IP routing not enabled

switch5-place6 (config-router-bgp) # router-id 0.0.0.25
switch5-place6 (config-router-bgp) #bgp default ipvé-unicast
switch5-place6 (config-router-bgp) #fmaximum-paths 4

switchb5-place6 (config-router-bgp

)
)
)
switch5-place6 (config-router-bgp)
)
)
)

#
#
#

bgp listen range 2a0a:e5c0:1:8::/64 peer—-group ungleich remote-as 209898

neighbor ungleich peer-group

neighbor ungleich maximum-routes 12000

switch5-place6 (config-router—bgp) #exit

switch5-place6 (config) #ip routing

switch5-place6 (config) #ipv6 unicast-routing

(
(
(
(
switch5-place6 (config-router-bgp
(
(
(
(

switch5-place6 (config) #write

#19 - 07/12/2019 12:38 PM - Nico Schottelius

hints for mikrotik:

e delete the port-channel
e et17: switchport mode trunk
¢ et17 NO channel-group

#20 - 07/16/2019 11:47 AM - Il nu
- Subject changed from Setup the first arista switches to Setup the arista switches place6-east and place9

- Status changed from In Progress to Waiting

place9:
add switches to DNS
add BGP configuration for new switches (with a PR in dot-cdist)

o Write wiki for current place6/9 setup

#21-07/16/2019 11:48 AM - Il nu

- Subject changed from Setup the arista switches place6-east and place9 to Setup the arista switches at place6-east and place9

#22 - 12/09/2019 11:54 AM - Il nu
- Status changed from Waiting to Closed

#23 - 12/09/2019 03:04 PM - Il nu

place9 is no more/ partially moved to place10
